Skip to main content
PATCH
Tool type cannot be changed after creation. If you include the type field in your request, it must match the existing tool type.

Authorizations

Authorization
string
header
required

Your Seekr API key, sent in the Authorization header with no 'Bearer' prefix.

Path Parameters

tool_id
string
required

ID of the tool.

Body

application/json
name
string | null

Name of the tool.

Maximum string length: 256
description
string | null

Description of the tool.

Maximum string length: 32768
type
enum<string> | null

Type of the tool.

Available options:
file_search,
web_search,
run_python,
agent_as_tool,
mcp_connector
config
Config · object | null

Configuration for the tool.

Response

Success

before
FileSearchResponse · object
required

The tool before the update.

after
FileSearchResponse · object
required

The tool after the update.

diff
Diff · object

Fields the update changes.

Last modified on July 31, 2026